Subject: Ticket Assigned - Delivery
From: Lifestyle <[email-masked]>
To: [email-masked]
Date: Thu, 22 Apr 2021 21:25:44 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery This has been going on for over a week your shipping company never calls to deliver anything I order they just mark in the system undelivered you continue to tell me they called me which is absolutely not true I have been checking my orders to see when they will be delivered and waiting with the phone beside me each day than I recheck in the system and it says undelivered wallah the company your using is not a good company ,nothing I have ordered has been attempted to be delivered by them they are not calling me , will you please help me and have them deliver my orders instead of telling me that they called when they did not they are lying to you . https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2435140